summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-19 16:19:27 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-19 16:19:27 +0000
commitf8209efb6c91c7991e4904682ef6b182053ec13c (patch)
treebe7955e5be564aae7b8912ff8351b2072d3230b8 /jenkins
parent4a8aff518dfa239306eae709e412da3d8daa09aa (diff)
onsuccess: #765: 0: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | -3 | # build_abe glibc -- --disable install: | -2 | # build_abe dejagnu: | -1 | # build_abe check_glibc -- --disable install: | 0 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log608
-rw-r--r--jenkins/notify-init.log97
-rw-r--r--jenkins/run-build.env8
4 files changed, 462 insertions, 253 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 017955f..a790cec 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#764-glibc-R0
+#765-glibc-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index c628e9f..92e0ac7 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -20,32 +20,32 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-+ ci_config=master-arm
# Debug traces :
++ ci_config=master-arm
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/763/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/763/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/'
-+ echo '# Using dir : artifacts'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/'
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+# check_source_changes
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
-# check_source_changes
+ check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
@@ -77,17 +77,79 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xe957308723ac2e55dad360d602298632980bbd38 '!=' xe957308723ac2e55dad360d602298632980bbd38 ']'
+++ '[' x4d8a01d2b0963f7c7714ff53c313430599f0722f '!=' xe957308723ac2e55dad360d602298632980bbd38 ']'
+++ echo -ne glibc
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 0 = 0 ']'
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=glibc
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ first_bad=4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ last_good=e957308723ac2e55dad360d602298632980bbd38
++ local res
++ res=0
++ wait 1200320
++ git -C glibc rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p glibc
++ set -euf -o pipefail
++ local c=glibc
++ local base_rev cur_rev sha1
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=e957308723ac2e55dad360d602298632980bbd38
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ git -C glibc rev-parse '4d8a01d2b0963f7c7714ff53c313430599f0722f^@'
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' 28bd6f832d4c8ec9a223c153427c1ab6fd19a548 = e957308723ac2e55dad360d602298632980bbd38 ']'
++ return 1
# Debug traces :
-# change_kind=no_change :
-
-+ change_kind=no_change
-+ changed_single_component=
+# change_kind=single_component : glibc
++ change_kind=single_component
+ echo '# Debug traces :'
-+ echo '# change_kind=no_change : '
++ echo '# change_kind=single_component : glibc'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=e957308723ac2e55dad360d602298632980bbd38
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ git -C glibc rev-list --count e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f
+# rev for glibc : e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f (7 commits)
+
+# post_interesting_commits
++ c_commits=7
++ echo '# rev for glibc : e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f (7 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -112,28 +174,70 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
++ '[' single_component '!=' single_commit ']'
+ return
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 2441564
++ wait 1200344
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
++ calculate_results_date
++ set -euf -o pipefail
++ local c base_d cur_d results_date=0
+++ get_current_manifest '{rr[components]}'
+++ get_manifest artifacts/manifest.sh '{rr[components]}'
+++ set +x
++ for c in $(get_current_manifest "{rr[components]}")
+++ get_baseline_component_date glibc
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc in current git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ git -C glibc show --no-patch --pretty=%ct e957308723ac2e55dad360d602298632980bbd38
++ base_d=1702924681
+++ get_current_component_date glibc
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ git -C glibc show --no-patch --pretty=%ct 4d8a01d2b0963f7c7714ff53c313430599f0722f
++ cur_d=1702997885
++ '[' x1702924681 '!=' x ']'
++ '[' x1702997885 = x ']'
++ '[' 1702997885 -lt 1702924681 ']'
++ '[' x1702997885 = x ']'
++ '[' 1702997885 -gt 0 ']'
++ results_date=1702997885
++ assert_with_msg 'Failed to produce results_date' '[' 1702997885 -gt 0 ']'
++ set -euf -o pipefail +x
+++ get_baseline_manifest '{rr[results_date]}'
+++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
+++ set +x
++ base_d=1702913855
++ '[' 1702913855 '!=' '' ']'
++ assert '[' 1702997885 -ge 1702913855 ']'
++ set -euf -o pipefail +x
++ '[' 1702997885 -gt 1702913855 ']'
++ results_date=1702955870
++ rr[results_date]=1702955870
++ cat
++ manifest_out
++ cat
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xno_change '!=' xsingle_commit ']'
++ '[' xsingle_component '!=' xsingle_commit ']'
+ return
+ post_interesting_commits full
+ set -euf -o pipefail
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=full
-+ '[' no_change '!=' single_commit ']'
++ '[' single_component '!=' single_commit ']'
+ return
+ true
+ generate_jira_dir
@@ -144,7 +248,7 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xno_change '!=' xsingle_commit ']'
+++ '[' xsingle_component '!=' xsingle_commit ']'
++ return 0
+ icommit_entry=
+ '[' '' '!=' '' ']'
@@ -162,10 +266,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 2441609
+++ wait 1200421
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231219 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1200422
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231219 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 2441610
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -188,9 +292,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -198,16 +302,142 @@
+ set -euf -o pipefail
+ print_mail_recipients
+ set -euf -o pipefail
-+ local c=
++ local c=glibc
++ '[' glibc = '' ']'
++ local -A emails
++ emails["tcwg-validation@linaro.org"]=bcc
++ emails["author"]=cc
++ emails["committer"]=to
++ case "$ci_project/$ci_config:$c" in
++ emails["linaro-toolchain@lists.linaro.org"]=cc_postcommit
++ local c email base_rev cur_rev
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=e957308723ac2e55dad360d602298632980bbd38
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=4d8a01d2b0963f7c7714ff53c313430599f0722f
++ read -r email
+++ git -C glibc log --pretty=%ae e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ local precommit_postcommit=postcommit
+ '[' '' = '' ']'
-+ echo bcc:tcwg-validation@linaro.org
-+ return 0
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=e957308723ac2e55dad360d602298632980bbd38
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=4d8a01d2b0963f7c7714ff53c313430599f0722f
++ read -r email
+++ git -C glibc log --pretty=%ce e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ unset 'emails[author]' 'emails[committer]'
++ local type
++ recipients=()
++ local -a recipients
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ for email in "${!emails[@]}"
++ type=cc_postcommit
++ case "$precommit_postcommit:$type" in
++ type=cc
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=bcc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ IFS=,
++ echo hjl.tools@gmail.com,cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,stli@linux.ibm.com,mfabian@redhat.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_component = no_change ']'
+++ local more_lines
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=e957308723ac2e55dad360d602298632980bbd38
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=4d8a01d2b0963f7c7714ff53c313430599f0722f
++++ git -C glibc rev-list --count e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ c_commits=7
+++ new_commits=7
++++ echo glibc
++++ tr ' ' ,
+++ components=glibc
+++ echo '7 commits in glibc'
+++ '[' --oneline = --oneline ']'
++ return 0
++ gnu_print_result --oneline
++ false
@@ -216,9 +446,9 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 2441632
+++ wait 1200478
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231219 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 2441633
+++ wait 1200479
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231219 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
@@ -238,7 +468,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -261,25 +491,25 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' 'baseline build: PASS on arm'
++ echo '[Linaro-TCWG-CI]' '7 commits in glibc: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/763/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts
+ local key=
-+ '[' no_change = single_commit ']'
++ '[' single_component = single_commit ']'
+ cat
+ '[' '' '!=' '' ']'
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -291,8 +521,8 @@
++ gnu_data[pretty_config]=master-arm
++ gnu_data[long_config]=master-arm
++ case "$project/$config" in
-+++ echo tcwg_glibc_check
+++ sed 's/^tcwg_//'
++++ echo tcwg_glibc_check
++ gnu_data[pretty_project]=glibc_check
++ local print_arg=--short
++ case "$print_arg" in
@@ -302,8 +532,58 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_component = no_change ']'
+++ local more_lines
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=e957308723ac2e55dad360d602298632980bbd38
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=4d8a01d2b0963f7c7714ff53c313430599f0722f
++++ git -C glibc rev-list --count e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ c_commits=7
+++ new_commits=7
++++ tr ' ' ,
++++ echo glibc
+++ components=glibc
+++ echo '7 commits in glibc'
+++ '[' --short = --oneline ']'
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=e957308723ac2e55dad360d602298632980bbd38
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=4d8a01d2b0963f7c7714ff53c313430599f0722f
++++ git -C glibc rev-list --count e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ c_commits=7
+++ '[' '' '!=' '' ']'
+++ git -C glibc log -n 5 --oneline e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ '[' 7 -gt 5 ']'
+++ echo '... and 2 more commits in glibc'
+++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
++ false
@@ -312,9 +592,9 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 2441673
+++ wait 1200543
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231219 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 2441674
+++ wait 1200544
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231219 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
@@ -346,30 +626,30 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -387,18 +667,18 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_check master-arm'
-+ '[' no_change '!=' single_commit ']'
++ '[' single_component '!=' single_commit ']'
+ return
+ true
+ generate_jenkins_html_files
-+ wait 2441717
-# generate_jenkins_html_files
++ wait 1200587
+ set -euf -o pipefail
+ echo '# generate_jenkins_html_files'
+# generate_jenkins_html_files
+ true
+ case "$ci_project" in
-... Skipping
+ echo '... Skipping'
+... Skipping
+ return
+ generate_readme html
+ set -euf -o pipefail
@@ -461,55 +741,15 @@
+ cat
+ read -r cur_file
++ cd artifacts
-++ find . -type f
++ sort
-++ print_readme_link html ./00-sumfiles/tests.log.0.xz
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/tests.log.0.xz
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/tests.log.0.xz">./00-sumfiles/tests.log.0.xz</a>'
-+ echo '<li><a href="./00-sumfiles/tests.log.0.xz">./00-sumfiles/tests.log.0.xz</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/tests.log.1.xz
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/tests.log.1.xz
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/tests.log.1.xz">./00-sumfiles/tests.log.1.xz</a>'
-+ echo '<li><a href="./00-sumfiles/tests.log.1.xz">./00-sumfiles/tests.log.1.xz</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/tests.log.2.xz
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/tests.log.2.xz
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/tests.log.2.xz">./00-sumfiles/tests.log.2.xz</a>'
-+ echo '<li><a href="./00-sumfiles/tests.log.2.xz">./00-sumfiles/tests.log.2.xz</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/tests.sum.0
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/tests.sum.0
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/tests.sum.0">./00-sumfiles/tests.sum.0</a>'
-+ echo '<li><a href="./00-sumfiles/tests.sum.0">./00-sumfiles/tests.sum.0</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/tests.sum.1
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/tests.sum.1
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/tests.sum.1">./00-sumfiles/tests.sum.1</a>'
-+ echo '<li><a href="./00-sumfiles/tests.sum.1">./00-sumfiles/tests.sum.1</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/tests.sum.2
+++ find . -type f
+++ print_readme_link html ./00-sumfiles/tests.log.xz
++ set -euf -o pipefail
++ local text_type=html
-++ local msg=./00-sumfiles/tests.sum.2
+++ local msg=./00-sumfiles/tests.log.xz
++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/tests.sum.2">./00-sumfiles/tests.sum.2</a>'
-+ echo '<li><a href="./00-sumfiles/tests.sum.2">./00-sumfiles/tests.sum.2</a>'
+++ echo -n '<a href="./00-sumfiles/tests.log.xz">./00-sumfiles/tests.log.xz</a>'
++ echo '<li><a href="./00-sumfiles/tests.log.xz">./00-sumfiles/tests.log.xz</a>'
+ read -r cur_file
++ print_readme_link html ./01-reset_artifacts/console.log.xz
++ set -euf -o pipefail
@@ -599,6 +839,14 @@
++ echo -n '<a href="./06-build_abe-check_glibc/flaky.xfail">./06-build_abe-check_glibc/flaky.xfail</a>'
+ echo '<li><a href="./06-build_abe-check_glibc/flaky.xfail">./06-build_abe-check_glibc/flaky.xfail</a>'
+ read -r cur_file
+++ print_readme_link html ./06-build_abe-check_glibc/make-glibc.log.xz
+++ set -euf -o pipefail
+++ local text_type=html
+++ local msg=./06-build_abe-check_glibc/make-glibc.log.xz
+++ case $text_type in
+++ echo -n '<a href="./06-build_abe-check_glibc/make-glibc.log.xz">./06-build_abe-check_glibc/make-glibc.log.xz</a>'
++ echo '<li><a href="./06-build_abe-check_glibc/make-glibc.log.xz">./06-build_abe-check_glibc/make-glibc.log.xz</a>'
++ read -r cur_file
++ print_readme_link html ./07-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=html
@@ -743,14 +991,6 @@
++ echo -n '<a href="./results">./results</a>'
+ echo '<li><a href="./results">./results</a>'
+ read -r cur_file
-++ print_readme_link html ./sumfiles/flaky.xfail
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./sumfiles/flaky.xfail
-++ case $text_type in
-++ echo -n '<a href="./sumfiles/flaky.xfail">./sumfiles/flaky.xfail</a>'
-+ echo '<li><a href="./sumfiles/flaky.xfail">./sumfiles/flaky.xfail</a>'
-+ read -r cur_file
++ print_readme_link html ./sumfiles/tests.sum
++ set -euf -o pipefail
++ local text_type=html
@@ -830,55 +1070,15 @@
+ cat
+ read -r cur_file
++ cd artifacts
-++ find . -type f
++ sort
-++ print_readme_link txt ./00-sumfiles/tests.log.0.xz
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/tests.log.0.xz
-++ case $text_type in
-++ echo -n ./00-sumfiles/tests.log.0.xz
-+ echo '- ./00-sumfiles/tests.log.0.xz'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/tests.log.1.xz
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/tests.log.1.xz
-++ case $text_type in
-++ echo -n ./00-sumfiles/tests.log.1.xz
-+ echo '- ./00-sumfiles/tests.log.1.xz'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/tests.log.2.xz
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/tests.log.2.xz
-++ case $text_type in
-++ echo -n ./00-sumfiles/tests.log.2.xz
-+ echo '- ./00-sumfiles/tests.log.2.xz'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/tests.sum.0
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/tests.sum.0
-++ case $text_type in
-++ echo -n ./00-sumfiles/tests.sum.0
-+ echo '- ./00-sumfiles/tests.sum.0'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/tests.sum.1
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/tests.sum.1
-++ case $text_type in
-++ echo -n ./00-sumfiles/tests.sum.1
-+ echo '- ./00-sumfiles/tests.sum.1'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/tests.sum.2
+++ find . -type f
+++ print_readme_link txt ./00-sumfiles/tests.log.xz
++ set -euf -o pipefail
++ local text_type=txt
-++ local msg=./00-sumfiles/tests.sum.2
+++ local msg=./00-sumfiles/tests.log.xz
++ case $text_type in
-++ echo -n ./00-sumfiles/tests.sum.2
-+ echo '- ./00-sumfiles/tests.sum.2'
+++ echo -n ./00-sumfiles/tests.log.xz
++ echo '- ./00-sumfiles/tests.log.xz'
+ read -r cur_file
++ print_readme_link txt ./01-reset_artifacts/console.log.xz
++ set -euf -o pipefail
@@ -968,6 +1168,14 @@
++ echo -n ./06-build_abe-check_glibc/flaky.xfail
+ echo '- ./06-build_abe-check_glibc/flaky.xfail'
+ read -r cur_file
+++ print_readme_link txt ./06-build_abe-check_glibc/make-glibc.log.xz
+++ set -euf -o pipefail
+++ local text_type=txt
+++ local msg=./06-build_abe-check_glibc/make-glibc.log.xz
+++ case $text_type in
+++ echo -n ./06-build_abe-check_glibc/make-glibc.log.xz
++ echo '- ./06-build_abe-check_glibc/make-glibc.log.xz'
++ read -r cur_file
++ print_readme_link txt ./07-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=txt
@@ -1120,14 +1328,6 @@
++ echo -n ./results
+ echo '- ./results'
+ read -r cur_file
-++ print_readme_link txt ./sumfiles/flaky.xfail
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./sumfiles/flaky.xfail
-++ case $text_type in
-++ echo -n ./sumfiles/flaky.xfail
-+ echo '- ./sumfiles/flaky.xfail'
-+ read -r cur_file
++ print_readme_link txt ./sumfiles/tests.sum
++ set -euf -o pipefail
++ local text_type=txt
@@ -1167,102 +1367,50 @@
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 2441919
-+ set -euf -o pipefail
# generate_lnt_report
++ wait 1200769
++ set -euf -o pipefail
+ local results_date
+ echo '# generate_lnt_report'
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/lnt-utils.sh
++ declare is_first_lnt_entry
-+ calculate_results_date
-+ set -euf -o pipefail
-+ '[' -z ']'
-+ local c base_d cur_d results_date=0
-++ get_current_manifest '{rr[components]}'
-++ get_manifest artifacts/manifest.sh '{rr[components]}'
-++ set +x
-+ for c in $(get_current_manifest "{rr[components]}")
-++ get_baseline_component_date glibc
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc in current git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct e957308723ac2e55dad360d602298632980bbd38
-+ base_d=1702924681
-++ get_current_component_date glibc
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct e957308723ac2e55dad360d602298632980bbd38
-+ cur_d=1702924681
-+ '[' x1702924681 '!=' x ']'
-+ '[' x1702924681 = x ']'
-+ '[' 1702924681 -lt 1702924681 ']'
-+ '[' x1702924681 = x ']'
-+ '[' 1702924681 -gt 0 ']'
-+ results_date=1702924681
-+ assert_with_msg 'Failed to produce results_date' '[' 1702924681 -gt 0 ']'
-+ set -euf -o pipefail +x
-++ get_baseline_manifest '{rr[results_date]}'
-++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
-++ set +x
-+ base_d=1702903029
-+ '[' 1702903029 '!=' '' ']'
-+ assert '[' 1702924681 -ge 1702903029 ']'
-+ set -euf -o pipefail +x
-+ '[' 1702924681 -gt 1702903029 ']'
-+ results_date=1702913855
-+ rr[results_date]=1702913855
-+ cat
-+ manifest_out
-+ cat
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1702913855
-++ date '+%Y-%m-%d %H:%M:%S' --date @1702913855
-+ results_date='2023-12-18 15:37:35'
++ results_date=1702955870
+++ date '+%Y-%m-%d %H:%M:%S' --date @1702955870
++ results_date='2023-12-19 03:17:50'
++ local jira_key=
++ '[' -f artifacts/notify/jira/key ']'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/ tcwg_glibc_check master-arm '2023-12-18 15:37:35' artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/ tcwg_glibc_check master-arm '2023-12-19 03:17:50' '' artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/
+ local ci_project=tcwg_glibc_check
+ local ci_config=master-arm
-+ local 'results_date=2023-12-18 15:37:35'
-+ local sumfiles_dir=artifacts/sumfiles
-+ local output_file=artifacts/notify/lnt_report.json
-+ local -a sumfiles
-+ readarray -t -d '' sumfiles
-++ find artifacts/sumfiles -name '*.sum' -print0
-+ '[' 1 = 0 ']'
-+ local lnt_testsuite=tcwg_glibc_check
-+ local machine_name=master-arm
-+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/
-+ build_number=764
-+ set +x
++ local 'results_date=2023-12-19 03:17:50'
+# release_testresults_files
+... Done
+# post_to_jira
+Full stage ran successfully.
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/lnt-utils.sh: line 78: 5: parameter null or not set
++ true
+ false
+ true
+ release_testresults_files
-# release_testresults_files
+ echo '# release_testresults_files'
+ '[' -d artifacts/jenkins ']'
-... Done
+ '[' -f artifacts/testresults/testresults-mail-recipients.txt ']'
+ echo '... Done'
+ post_to_jira
+ set -euf -o pipefail
+ echo '# post_to_jira'
-# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
+ false
+ false
-Full stage ran successfully.
+ echo 'Full stage ran successfully.'
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 6ca4f22..5922aee 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -20,33 +20,33 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-+ ci_config=master-arm
# Debug traces :
++ ci_config=master-arm
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/763/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/763/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/764/'
+
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/765/'
+ echo '# Using dir : artifacts'
+ echo ''
-
+ mkdir -p artifacts/notify
+# check_source_changes
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -77,17 +77,78 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xe957308723ac2e55dad360d602298632980bbd38 '!=' xe957308723ac2e55dad360d602298632980bbd38 ']'
+++ '[' x4d8a01d2b0963f7c7714ff53c313430599f0722f '!=' xe957308723ac2e55dad360d602298632980bbd38 ']'
+++ echo -ne glibc
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 0 = 0 ']'
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=glibc
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ first_bad=4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ last_good=e957308723ac2e55dad360d602298632980bbd38
++ local res
++ res=0
++ wait 1200207
++ git -C glibc rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p glibc
++ set -euf -o pipefail
++ local c=glibc
++ local base_rev cur_rev sha1
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=e957308723ac2e55dad360d602298632980bbd38
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ git -C glibc rev-parse '4d8a01d2b0963f7c7714ff53c313430599f0722f^@'
# Debug traces :
-# change_kind=no_change :
-
-+ change_kind=no_change
-+ changed_single_component=
+# change_kind=single_component : glibc
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' 28bd6f832d4c8ec9a223c153427c1ab6fd19a548 = e957308723ac2e55dad360d602298632980bbd38 ']'
++ return 1
++ change_kind=single_component
+ echo '# Debug traces :'
-+ echo '# change_kind=no_change : '
++ echo '# change_kind=single_component : glibc'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=e957308723ac2e55dad360d602298632980bbd38
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=4d8a01d2b0963f7c7714ff53c313430599f0722f
+++ git -C glibc rev-list --count e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f
+# rev for glibc : e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f (7 commits)
+
++ c_commits=7
++ echo '# rev for glibc : e957308723ac2e55dad360d602298632980bbd38..4d8a01d2b0963f7c7714ff53c313430599f0722f (7 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -111,13 +172,13 @@
+ generate_extra_details_f=gnu_generate_extra_details
+ print_config_f=gnu_print_config
+ post_interesting_commits init
-+ set -euf -o pipefail
# post_interesting_commits
+Init stage ran successfully.
++ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
++ '[' single_component '!=' single_commit ']'
+ return
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
-Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 28959b3..3a7087a 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#764"
+build_name="#765"
docker_opts=(--distro
default
--arch
armhf
--node
-tcwg-jade-05
+tcwg-jade-06
--security
--cap-add=SYS_ADMIN\ --security-opt\ apparmor=unconfined )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#764-glibc"
+build_name="#765-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#764-glibc-R0"
+build_name="#765-glibc-R0"